Create Flow

Create flow

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request example for eventBasedFlow

curl --location 'https://api-staging.liveramp.com/analytics-environment/v1/flows' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${access_token}' \
--data '{
  "flowOrder": [
    {
      "order": 1,
      "scheduleJobId": 101
    },{
      "order": 2,
      "scheduleJobId": 102
    }
  ],
  "flowOwner": "[email protected]",
  "frequency": "",
  "loadDataTable": "lranalytics-us-101011-cert.example_test.example_test_flow",
  "name": "test event based trigger",
  "type": "eventBasedTrigger"
}'

Request example for timeBasedFlow

curl --location 'https://api-staging.liveramp.com/analytics-environment/v1/flows' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ${access_token}' \
--data '{
  "flowOrder": [
    {
      "order": 1,
      "scheduleJobId": 99
    }
  ],
  "flowOwner": "",
  "frequency": "*/15 * * * *",
  "loadDataTable": "",
  "name": "test time based trigger",
  "type": "timeBasedTrigger"
}'

Response example

{
    "id": 5
}
Body Params
string
required

Flow name

string
required

Specifies the type of the flow, only supports eventBasedTrigger and timeBasedTrigger.

string

Required if type is eventBasedTrigger and must be a fully qualified BigQuery table name in the format: <project_id>.<dataset_id>.<table_id> Note: The flow will be triggered when new data is loaded into the table and there is no update in the following 2 hours.

string

Required if type is timeBasedTrigger, defines the flow execution frequency in cron format.

string
required

Email address of the flow owner, used to send failure notifications.

flowOrder
array of objects
required

List of jobs to be executed within the flow, each requiring a specified schedule job ID and order number.

flowOrder*
Headers
string
required
Response

Language
LoadingLoading…
Response
Choose an example:
application/json